#ifndef NALARMSETTINGS_H
#define NALARMSETTINGS_H
#include <QSize>
#include <QColor>
#include <QFont>

class nalarmsettings
{
public:
    static nalarmsettings& getInstance()
    {
        static nalarmsettings instance; // Guaranteed to be destroyed.
        // Instantiated on first use.
        return instance;
    }

    //get/set widget size;
    int getSize() const;
    void setSize(const int &aSize) const;
    //get/set widget width;
    int getWidth() const;
    void setWidth(const int &aSize) const;
    //get/set color of digits
    QColor getColor() const;
    void setColor(const QColor &aColor) const;
    //get/set font
    QFont getFont() const;
    void setFont(const QFont &aFont) const;
    //get/set show header
    bool isShowHeader() const;
    void setShowHeader(const bool &aShow) const;
    //get/set show header
    bool isShowTitle() const;
    void setShowTitle(const bool &aShow) const;
    //get/set show header
    bool isShowRemain() const;
    void setShowRemain(const bool &aShow) const;
    //get/set Alarm Filter
    int alarmFilter() const;
    void setAlarmFilter(const int &aFilter) const;
    //get/set show empty
    bool isShowEmpty() const;
    void setShowEmpty(const bool &aShow) const;
    //get/set show recurrent
    bool isShowRecurrent() const;
    void setShowRecurrent(const bool &aShow) const;
    //get/set time frame
    int timeFrame() const;
    void setTimeFrame(const int &aFrame) const;
    //get/set transparency
    int getTransparency() const;
    void setTransparency(const int &aTrans) const;
    //get/set show date
    bool isAlwaysShowDate() const;
    void setAlwaysShowDate(const bool &aShow) const;

private:
    nalarmsettings() {}
    nalarmsettings(nalarmsettings const&);              // Don't Implement
    void operator=(nalarmsettings const&); // Don't implement
};

#endif // NALARMSETTINGS_H
